SDL_CreateTraySubmenu(3)

NAME
SDL_CreateTraySubmenu - Create a submenu for a system tray entry.

HEADER FILE
Defined in SDL3/SDL_tray.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_TrayMenu * SDL_CreateTraySubmenu(SDL_TrayEntry *entry);

DESCRIPTION
This should be called at most once per tray entry.

This function does the same thing as

SDL_CreateTrayMenu , except that it takes a

SDL_TrayEntry
 instead of a SDL_Tray .

A menu does not need to be destroyed; it will be destroyed with the tray.

FUNCTION PARAMETERS

entry
    the tray entry to bind the menu to.

RETURN VALUE
( SDL_TrayMenu
 *) Returns the newly created menu.

THREAD SAFETY
This function should be called on the thread that created the tray.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_InsertTrayEntryAt(3), •(3), SDL_GetTraySubmenu(3), •(3), SDL_GetTrayMenuParentEntry(3)